$schema: "http://json-schema.org/draft-06/schema#"

title: compute beta ConsistentHashLoadBalancerSettings export schema
description: A gcloud export/import command YAML validation schema.
type: object
additionalProperties: false
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  httpCookie:
    description: |-
      Hash is based on HTTP Cookie. This field describes a HTTP cookie that will
      be used as the hash key for the consistent hash load balancer. If the
      cookie is not present, it will be generated. This field is applicable if
      the sessionAffinity is set to HTTP_COOKIE.  Not supported when the backend
      service is referenced by a URL map that is bound to target gRPC proxy that
      has validateForProxyless field set to true.
    $ref: ConsistentHashLoadBalancerSettingsHttpCookie.yaml
  httpHeaderName:
    description: |-
      The hash based on the value of the specified header field. This field is
      applicable if the sessionAffinity is set toHEADER_FIELD.
    type: string
  minimumRingSize:
    description: |-
      The minimum number of virtual nodes to use for the hash ring. Defaults to
      1024. Larger ring sizes result in more granular load distributions. If the
      number of hosts in the load balancing pool is larger than the ring size,
      each host will be assigned a single virtual node.
    type: integer
